suix_getCoins
POST
Return all Coin<
coin_type> objects owned by an address.param[0]
ownerstringrequired
The owner's Sui addressparam[1]
coinTypestringrequired
Optional type name for the coin (e.g., 0x168da5bf1f48dafc111b0a488fa454aca95e0b5e::usdc::USDC), default to 0x2::sui::SUI if not specified.param[2]
cursorstringrequired
Optional paging cursorparam[3]
limitintegerrequired
Maximum number of items per pageResponses
idinteger
jsonrpcstring
next_cursor points to the last item in the page; Reading with next_cursor will start from the next item after next_cursor if next_cursor is Some, otherwise it will start from the first item.balancestringrequired
coinObjectIdobjectrequired
coinTypestringrequired
digestobjectrequired
previousTransactionobjectrequired
versionintegerrequired
hasNextPagebooleanrequired
nextCursorstringnull
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "suix_getCoins","params": ["0x6d907beaa3a49db57bdfdb3557e6d405cbf01c293a53e01457d65e92b5d8dd68","0x2::sui::SUI","0xee6b5173afedb35330f60397c2cbb48196ba41921246c304be7b490cee0904eb",3]}'